## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class VMConnectResponse

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMResponse
          org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMConnectResponse

All Implemented Interfaces:
  java.io.Serializable

    public class VMConnectResponse

extends VMResponse

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMResponse
`status, STATUS_ERROR, STATUS_OK`

Constructor Summary
`VMConnectResponse(int eventPort)`

Method Summary
`int` `getEventPort()`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMResponse
`createERROR, createOK, isOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VMConnectResponse

    public VMConnectResponse(int eventPort)

Method Detail

### getEventPort

    public int getEventPort()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `VMResponse`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.